List faxes in date range
Operation:
faxList
Parameters:
| Name | Type | Description |
|---|---|---|
| start | Unix Timestamp | The beginning of the range |
| end | Unix Timestamp | The end of the range |
| api_key | string | Your api key |
| api_secret | string | Your api secret |
Response:
A JSON object with success, message, paging, and data attributes. The paging attribute holds information about the length of the data for your query. The data attribute holds an array of Fax Objects in ascending order of request time. By default, up to 1000 records will be returned per call. This can be changed by providing paging parameters.
Example call:
curl https://api.phaxio.com/v1/faxList \
-F 'start=1293861600' \
-F 'end=1294034400' \
-F 'api_key=API_KEY' \
-F 'api_secret=API_SECRET'
Example Response:
{
"success":true,
"message":"Retrieved faxes successfully",
"paging":{
"max_per_page":1000,
"page":1,
"total_pages":1,
"total_results":3
},
"data":[
{
"id":123456,
"num_pages":3,
"cost":21,
"direction":"sent",
"status":"success",
"is_test":true,
"requested_at":1293910680,
"completed_at":1293911100,
"recipients":[
{
"number":"4141234567",
"status":"success",
"completed_at":1293911100
}
]
},
{
"id":123457,
"num_pages":1,
"cost":7,
"direction":"sent",
"status":"success",
"is_test":false,
"requested_at":1293984720,
"completed_at":1293985800,
"recipients":[
{
"number":"4145554567",
"status":"success",
"completed_at":1293985800
}
]
},
{
"id":123458,
"num_pages":1,
"cost":14,
"direction":"sent",
"status":"success",
"is_test":false,
"requested_at":1294094700,
"completed_at":1294095000,
"recipients":[
{
"number":"4145554568",
"status":"success",
"completed_at":1294095000
},
{
"number":"4145554567",
"status":"success",
"completed_at":1293985800
}
]
}
]
}
"success":true,
"message":"Retrieved faxes successfully",
"paging":{
"max_per_page":1000,
"page":1,
"total_pages":1,
"total_results":3
},
"data":[
{
"id":123456,
"num_pages":3,
"cost":21,
"direction":"sent",
"status":"success",
"is_test":true,
"requested_at":1293910680,
"completed_at":1293911100,
"recipients":[
{
"number":"4141234567",
"status":"success",
"completed_at":1293911100
}
]
},
{
"id":123457,
"num_pages":1,
"cost":7,
"direction":"sent",
"status":"success",
"is_test":false,
"requested_at":1293984720,
"completed_at":1293985800,
"recipients":[
{
"number":"4145554567",
"status":"success",
"completed_at":1293985800
}
]
},
{
"id":123458,
"num_pages":1,
"cost":14,
"direction":"sent",
"status":"success",
"is_test":false,
"requested_at":1294094700,
"completed_at":1294095000,
"recipients":[
{
"number":"4145554568",
"status":"success",
"completed_at":1294095000
},
{
"number":"4145554567",
"status":"success",
"completed_at":1293985800
}
]
}
]
}
